Subject: Re: [PATCH v5 00/10] wii: add usb 2.0 support

From: Albert Herranz <[email-masked]>
Date: Fri, 19 Mar 2010 20:13:39 +0100

Alan Stern wrote:
>> Alan: I think you are also working in a patchset to make {un}map_urb_for_dma
>> remember how the urb was mapped, right?
> 
> Yes; you can see an initial version here:
> 
> 	http://marc.info/?l=linux-usb&m=126901183419219&w=2
> 
> This is a bug fix, so it's likely to be merged before your work.
> 
> It's a messy situation, with two people changing the same code at the
> same time.  I think the best approach will be to wait until the bug-fix
> patch is tested and accepted; then I can create a version of your 5/10
> and 6/10 patches adding HCD_NO_COHERENT_MEM and the corresponding
> behavior.  That can stand by itself, and once it is accepted the rest
> of your series should go through with no difficulty (at least, no
> difficulties involving the USB core!).

Agreed. I'll keep an eye on these developments.

> Alan Stern

Thanks a lot,
Albert